import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading RestSensorTypeToGeneric Converter")

class RestSensorTypeToGeneric(Converter):
	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "MARKI":
			res = "Mark"
		elif myList[0] == "MARKII":
			res = "Gap"
		return res




plugin = RestSensorTypeToGeneric("RestSensorTypeToGeneric")

store.AddConverter(plugin)